Scheduled Task - Run Task
Run a task immediately regardless of its schedule.
POST https://titleId.playfabapi.com/Admin/RunTask
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-SecretKey | True |
string |
This API requires a title secret key, available to title admins, from PlayFab Game Manager. |
Request Body
| Name | Type | Description |
|---|---|---|
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
| Identifier |
Provide either the task ID or the task name to run a task. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-SecretKey
This API requires a title secret key, available to title admins, from PlayFab Game Manager.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Api |
The basic wrapper around every failed API response |
|
Name |
Identifier by either name or ID. Note that a name may change due to renaming, or reused after being deleted. ID is immutable and unique. |
|
Run |
The returned task instance ID can be used to query for task execution status. |
|
Run |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
NameIdentifier
Identifier by either name or ID. Note that a name may change due to renaming, or reused after being deleted. ID is immutable and unique.
| Name | Type | Description |
|---|---|---|
| Id |
string |
Id Identifier, if present |
| Name |
string |
Name Identifier, if present |
RunTaskRequest
The returned task instance ID can be used to query for task execution status.
| Name | Type | Description |
|---|---|---|
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
| Identifier |
Provide either the task ID or the task name to run a task. |
RunTaskResult
| Name | Type | Description |
|---|---|---|
| TaskInstanceId |
string |
ID of the task instance that is started. This can be used in Get*TaskInstance (e.g. GetCloudScriptTaskInstance) API call to retrieve status for the task instance. |
Error Codes
| Name | Code |
|---|---|
| TaskNotFound | 1261 |